## Makefile.am for sid file meta info plugin

# set the include path for X, qt and KDE
INCLUDES         = $(all_includes) $(taglib_includes)

# these are the headers for your project
noinst_HEADERS   = tdefile_sid.h

kde_module_LTLIBRARIES = tdefile_sid.la

tdefile_sid_la_SOURCES = tdefile_sid.cpp
tdefile_sid_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor -module $(KDE_PLUGIN)
tdefile_sid_la_LIBADD = $(LIB_TDEIO)

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) tdefile_sid.cpp -o $(podir)/tdefile_sid.pot

services_DATA = tdefile_sid.desktop
servicesdir = $(kde_servicesdir)
